GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends
gdcm::PrivateTag Class Reference

Class to represent a Private DICOM Data Element (Attribute) Tag (Group, Element, Owner) More...

`#include <gdcmPrivateTag.h>`

Inheritance diagram for gdcm::PrivateTag:
[legend]
Collaboration diagram for gdcm::PrivateTag:
[legend]

List of all members.

## Public Member Functions

| PrivateTag (uint16_t group=0, uint16_t element=0, const char *owner="")
const char * | GetOwner () const
bool | operator< (const PrivateTag &_val) const
bool | ReadFromCommaSeparatedString (const char *str)
void | SetOwner (const char *owner)

## Friends

std::ostream & | operator<< (std::ostream &_os, const PrivateTag &_val)

## Detailed Description

Class to represent a Private DICOM Data Element (Attribute) Tag (Group, Element, Owner)

Note:
  private tag have element value in: [0x10,0xff], for instance 0x0009,0x0000 is NOT a private tag

Examples:
  csa2img.cxx, DumpADAC.cxx, DumpGEMSMovieGroup.cxx, ELSCINT1WaveToText.cxx, GetSubSequenceData.cxx, iU22tomultisc.cxx, MrProtocol.cxx, pmsct_rgb1.cxx, PublicDict.cxx, ReadGEMSSDO.cxx, and rle2img.cxx.

## Constructor & Destructor Documentation

gdcm::PrivateTag::PrivateTag | ( | uint16_t | group = `0`,
|  | uint16_t | element = `0`,
|  | const char * | owner = `""`
| ) |  | `[inline]`

## Member Function Documentation

const char* gdcm::PrivateTag::GetOwner | ( |  | ) | const`[inline]`

Examples:
  PublicDict.cxx.

Referenced by operator<(), and gdcm::PrivateDict::PrintXML().

bool gdcm::PrivateTag::operator< | ( | const PrivateTag & | _val | ) | const`[inline]`

References GetOwner(), and gdcm::System::StrCaseCmp().

bool gdcm::PrivateTag::ReadFromCommaSeparatedString | ( | const char * | str | ) |

Read from a comma separated string. This is a highly user oriented function, the string should be formated as: 1234,5678 to specify the tag (0x1234,0x5678) The notation comes from the DICOM standard, and is handy to use from a command line program

Reimplemented from gdcm::Tag.

void gdcm::PrivateTag::SetOwner | ( | const char * | owner | ) | `[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const PrivateTag & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmPrivateTag.h